nixp.ru v3.0

30 мая 2017,
вторник,
04:31:57 MSK

DevOps с компанией «Флант»
anonymous написал 16 декабря 2004 года в 17:05 (326 просмотров) Ведет себя неопределенно; открыл 1814 темы в форуме, оставил 5575 комментариев на сайте.

Нужно под suse собрать новое ядро, подскажите, какие патчи нужны чтобы ядро более иди менее стало похоже на default ядро в suse, а то помню собрал ядро без патчей с kernel.org, и у меня кое что не работало в suse( не помню что). Какие есть patch-паки, чтоб в одном патче были и патчи безопасности и bootsplash и supermount и еще чего нибудь. Ядро хочу поставить или 2.6.8.1 или 2.6.9

fly4life

Что-то я не видел никогда таких патчей… Если они действительно есть, то самому было бы интересно взглянуть на них.

Тебе проще искать решения, как заставить работать «кое-что», что не работало, в отдельности, а не искать какие-то мифические сусёвские патчи.

fly4life

В догонку. А чем тебя ядро «из коробки» в таком случае не устраивает (раз уж перейти на другое — геморрой)?

anonymous

У меня ati дрова на нем не собираются, а с ядром с kernel.org, дрова собираются

fly4life
aivss
У меня ati дрова на нем не собираются, а с ядром с kernel.org, дрова собираются

а если YaST’ом воспользоваться для установки драйвера? ;) Намного ж проще.

anonymous

Патчи такие есть, ставил как то раз одни, но у меня глюк из-за него был. как называется не помню.

fly4life
aivss
Патчи такие есть, ставил как то раз одни, но у меня глюк из-за него был. как называется не помню.

Так ещё и глюк из-за патча… Тогда тем более не понимаю твоё стремление накатывать эти патчи на ванильное ядро.

Воспользуйся ястом при установке драйверов на видеокарту и мучайся.

anonymous

Яст на такое не способен, уже проверял

anonymous

http://sepi.be/nitro.php

вот один и зтаких патчей

Genie

ну а так же, навскидку, SELinux

только смысл? разве в kernel-source-*.src.rpm не включаются все необходимые патчи?

может стОит погляд еть сперва туда?

anonymous

Блин…

А ты наверное прав.

А я вот сейчас ядро собираю с nitro патчем, ну посмотрим, если работать не будет, то установлю из src.rpm